## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# hash_null_terminated_arrays< T > Struct Template Reference

List of all members.

## Public Types

- typedef XALAN_STD_QUALIFIER
  unary_function< const T *,
  size_t > BaseClassType
- typedef BaseClassType::result_type result_type
- typedef BaseClassType::argument_type argument_type

## Public Member Functions

- result_type operator() (argument_type theKey) const

### template<class T>
struct hash_null_terminated_arrays< T >

## Member Typedef Documentation

template<class T>
typedef BaseClassType::argument_type hash_null_terminated_arrays< T >::argument_type

template<class T>
typedef XALAN_STD_QUALIFIER unary_function<const T*, size_t> hash_null_terminated_arrays< T >::BaseClassType

template<class T>
typedef BaseClassType::result_type hash_null_terminated_arrays< T >::result_type

## Member Function Documentation

template<class T>
result_type hash_null_terminated_arrays< T >::operator() | ( | argument_type | theKey | ) | const

The documentation for this struct was generated from the following file:

- STLHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.